Update an item collection

Updates the name, description, and metadata fields of the specified item collection.

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Path parameters

knowledge_store_idstringRequired
The unique identifier of the knowledge store.
collection_idstringRequired
The unique identifier of the knowledge store item collection.

Request

This endpoint expects an object.
namestringOptional1-255 characters
The name of the item collection. Must be unique within the knowledge store.
descriptionstringOptional<=2000 characters
An optional description of the item collection.
metadatamap from strings to stringsOptional

Custom metadata for the item collection. Both keys and values must be strings. To remove all metadata, set this field to an empty object ({}).

Response

The item collection has been successfully updated.
_idstring
The unique identifier of the item collection.
knowledge_store_idstring
The unique identifier of the knowledge store this collection belongs to.
namestring
The name of the item collection.
descriptionstring
The description of the item collection.
metadatamap from strings to strings
Custom metadata for the item collection.
member_countintegerRead-only
The number of items in the collection.
created_atstringformat: "date-time"
The date and time when the item collection was created, in the RFC 3339 format.
updated_atstringformat: "date-time"
The date and time when the item collection was last updated, in the RFC 3339 format.

Errors

400
Bad Request Error